package simogl.gameobjects.character;

import javax.swing.text.Position;

import simogl.geometry.Point3D;
import simogl.model.character.MD2Civilian;

/**
 * This class represents a civilian in the game
 * @author Frank Bruns
 *
 */
public class Civilian extends AbstractCharacter
{
	/**
	 * Creates a new Civilian object for the game at the specified position
	 * @param x x-coordinate
	 * @param y y-coordinate
	 * @param z z-coordinate
	 */
	public Civilian(float x, float y, float z)
	{		
		super(x,y,z);
		this.name = "civilian";
		this.md2Model = new MD2Civilian(x,y,z);
	}
}
